libzypp: zypp::FetcherJob Struct Reference

libzypp 17.38.14

zypp::FetcherJob Struct Reference

Class to encapsulate the OnMediaLocation object and the FileChecker together. More...

## Public Types
enum | Flag { None = 0x0000 , Directory = 0x0001 , Recursive = 0x0002 , RecursiveDirectory = Directory | Recursive , AlwaysVerifyChecksum = 0x0004 }

## Public Member Functions
| ZYPP_DECLARE_FLAGS (Flags, Flag)
| FetcherJob (const FetcherJob &)=default
| FetcherJob (FetcherJob &&)=default
FetcherJob & | operator= (const FetcherJob &)=default
FetcherJob & | operator= (FetcherJob &&)=default
| FetcherJob (const OnMediaLocation &loc)
| ~FetcherJob ()

## Public Attributes
OnMediaLocation | location
std::list< FileChecker > | checkers
Flags | flags

## Detailed Description

Class to encapsulate the OnMediaLocation object and the FileChecker together.

Definition at line 128 of file Fetcher.cc.

## Member Enumeration Documentation

## ◆ Flag

enum zypp::FetcherJob::Flag

Enumerator
None |
Directory |
Recursive |
RecursiveDirectory |
AlwaysVerifyChecksum |

Definition at line 130 of file Fetcher.cc.

## Constructor & Destructor Documentation

## ◆ FetcherJob() [1/3]

zypp::FetcherJob::FetcherJob | ( | const FetcherJob & |  | ) |
| default

## ◆ FetcherJob() [2/3]

zypp::FetcherJob::FetcherJob | ( | FetcherJob && |  | ) |
| default

## ◆ FetcherJob() [3/3]

zypp::FetcherJob::FetcherJob | ( | const OnMediaLocation & | loc | ) |
| inline

Definition at line 147 of file Fetcher.cc.

## ◆ ~FetcherJob()

zypp::FetcherJob::~FetcherJob | ( |  | ) |
| inline

Definition at line 151 of file Fetcher.cc.

## Member Function Documentation

## ◆ ZYPP_DECLARE_FLAGS()

zypp::FetcherJob::ZYPP_DECLARE_FLAGS | ( | Flags | ,
|  | Flag | )

## ◆ operator=() [1/2]

FetcherJob & zypp::FetcherJob::operator= | ( | const FetcherJob & |  | ) |
| default

## ◆ operator=() [2/2]

FetcherJob & zypp::FetcherJob::operator= | ( | FetcherJob && |  | ) |
| default

## Member Data Documentation

## ◆ location

OnMediaLocation zypp::FetcherJob::location

Definition at line 156 of file Fetcher.cc.

## ◆ checkers

std::list<FileChecker> zypp::FetcherJob::checkers

Definition at line 158 of file Fetcher.cc.

## ◆ flags

Flags zypp::FetcherJob::flags

Definition at line 159 of file Fetcher.cc.

The documentation for this struct was generated from the following file:

- zypp/Fetcher.cc